- Extending Qt Creator Manual
- QtCreator
- SelectionAspect
- Extending Qt Creator Manual 13.0.0

# SelectionAspect Class

class Utils::SelectionAspect

A selection aspect represents a specific choice out of several. More...

Header: | #include <SelectionAspect>
Inherits: | Utils::TypedAspect
Inherited By: | Utils::TriStateAspect

- List of all members, including inherited members

## Reimplemented Public Functions

virtual void | addToLayout(Layouting::LayoutItem &parent) override

## Detailed Description

The selection aspect is displayed using a QComboBox or QRadioButtons in a QButtonGroup.

## Member Function Documentation

### `[override virtual]` void SelectionAspect::addToLayout(Layouting::LayoutItem &parent)

Reimplements: BaseAspect::addToLayout(Layouting::LayoutItem &parent).